Mention in topic title does not generate flow-mention notification
Closed, ResolvedPublic

Description

Creating a new topic with a user mention in the title ([[User:<username here>]]) does not generate a flow-mention notification. The same mention in the topic content DOES generate a flow-mention notification.

SBisson created this task.Jan 26 2016, 5:43 PM
SBisson updated the task description. (Show Details)
SBisson raised the priority of this task from to Needs Triage.
SBisson added a subscriber: SBisson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 26 2016, 5:43 PM

Change 267017 had a related patch set uploaded (by Matthias Mullie):
Bunch of Flow notification refactors

https://gerrit.wikimedia.org/r/267017

matthiasmullie set Security to None.
SBisson triaged this task as Normal priority.Jan 28 2016, 6:50 PM

Change 267017 merged by jenkins-bot:
Bunch of Flow notification refactors

https://gerrit.wikimedia.org/r/267017

Etonkovidova added a subscriber: Etonkovidova.EditedFeb 4 2016, 2:11 AM

Checked in betalabs.

  • New topic with [[User:username]] triggers flow-mention notification.
  • Renaming a topic to a title that has [[User:username]] does not trigger flow-mention notification.

Note for testing - two cases

  • a topic is non-watched and it's renamed with [[User:username]]
  • a topic is watched and it's renamed with [[User:username]]

Renaming indeed won't trigger a mention notification yet. That'll come soon, though (it's introduced in T125427: Generate flow-mention for create/edit of board desc, topic, post, summary, but hasn't been merged yet)

Thx! Since the issue with renaming will be addressed in a different ticket - moving this task(as Verified) to Product Review.

jmatazzoni closed this task as Resolved.Feb 19 2016, 2:23 AM
jmatazzoni added a subscriber: matthiasmullie.